singularity(1)

NAME

singularity-cache-clean - Clean your local Singularity cache

SYNOPSIS

singularity cache clean [clean options...]

DESCRIPTION

This will clean your local cache (stored at $HOME/.singularity/cache if
  SINGULARITY_CACHEDIR is not set). By default the entire cache is cleaned, use
  --days and --type flags to override this behavior. Note: if you use Singularity
  as root, cache will be stored in '/root/.singularity/.cache', to clean that
  cache, you will need to run 'cache clean' as root, or with 'sudo'.

OPTIONS

-D, --days=0
    remove all cache entries older than specified number of days

-n, --dry-run[=false]
    operate in dry run mode and do not actually clean the cache

-f, --force[=false]
    suppress any prompts and clean the cache

-h, --help[=false]
    help for clean

-T, --type=[all]
    a list of cache types to clean, possible entries: all, library, oci-tmp, shub, oras, net, oci-sif, blob

EXAMPLE

      All group commands have their own help output:

      $ singularity help cache clean --days 30
      $ singularity help cache clean --type=library,oci
      $ singularity cache clean --help

SEE ALSO

singularity-cache(1)

HISTORY

27-Feb-2025 Auto generated by spf13/cobra